Create Tool Env Var
curl --request POST \
--url https://api.promptlayer.com/api/public/v2/tool-registry/{identifier}/env-vars \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"key": "<string>",
"value": "<string>"
}
'import requests
url = "https://api.promptlayer.com/api/public/v2/tool-registry/{identifier}/env-vars"
payload = {
"key": "<string>",
"value": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', value: '<string>'})
};
fetch('https://api.promptlayer.com/api/public/v2/tool-registry/{identifier}/env-vars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"tool_env_var": {
"id": 123,
"key": "<string>",
"value_suffix": "<string>",
"is_empty": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"workspace_id": 123,
"tool_registry_id": 123
}
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Environment Variables
Create Tool Env Var
POST
/
api
/
public
/
v2
/
tool-registry
/
{identifier}
/
env-vars
Create Tool Env Var
Create a tool-scoped environment variable. Tool-level variables take precedence over workspace-level variables with the same key when the tool executes.
Authorizations
Path Parameters
Tool ID (numeric) or name
Body
application/json
Environment variable name. Must start with a letter or underscore and contain only letters, digits, and underscores.
Required string length:
1 - 255Pattern:
^[A-Za-z_][A-Za-z0-9_]*$Value to store. May be empty to create a placeholder that the user will fill in later.
Maximum string length:
8192Was this page helpful?
⌘I

